Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMotif Class Reference

The QMotif class provides the basis of the Motif Extension. More...

This class is part of the Qt Motif Extension.

`#include <qmotif.h>`

Inherits QEventLoop.

List of all member functions.

## Public Members

- QMotif ( const char * applicationClass, XtAppContext context = NULL, XrmOptionDescRec * options = 0, int numOptions = 0 )
- ~QMotif ()
- XtAppContext applicationContext () const

## Static Public Members

- Display * x11Display ()

## Detailed Description

This class is defined in the Qt Motif Extension, which can be found in the `qt/extensions` directory. It is not included in the main Qt API.

The QMotif class provides the basis of the Motif Extension.

QMotif only provides a few public functions, but it is at the heart of the integration. QMotif is responsible for initializing the Xt toolkit and the Xt application context. It does not open a connection to the X server, that is done by QApplication.

The only member function in QMotif that depends on an X server connection is QMotif::initialize(). QMotif must be created before QApplication.

Example usage of QMotif and QApplication:

        static char *resources[] = {
            ...
        };

        int main(int argc, char **argv)
        {
            QMotif integrator( "AppClass" );
            XtAppSetFallbackResources( integrator.applicationContext(),
                                       resources );
            QApplication app( argc, argv );

            ...

            return app.exec();
        }

## Member Function Documentation

### QMotif::QMotif ( const char * applicationClass, XtAppContext context = NULL, XrmOptionDescRec * options = 0, int numOptions = 0 )

Creates QMotif, which allows Qt and Xt/Motif integration.

If context is 0, QMotif creates a default application context itself. The context is accessible through applicationContext().

All arguments passed to this function (applicationClass, options and numOptions) are used to call XtDisplayInitialize() after QApplication has been constructed.

### QMotif::~QMotif ()

Destroys QMotif.

### XtAppContext QMotif::applicationContext () const

Returns the application context.

### Display * QMotif::x11Display ()`[static]`

Returns the X11 display connection used by the Qt Motif Extension.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.